org.richfaces.component

## Class UITogglePanelItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTogglePanelItem
        - - org.richfaces.component.UITogglePanelItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, org.richfaces.ui.common.VisitChildrenRejectable

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UITogglePanelItem
      extends AbstractTogglePanelItem
      implements javax.faces.component.behavior.ClientBehaviorHolder, AbstractTogglePanelItemInterface

  The <rich:togglePanelItem> component is a switchable panel for use with the <rich:togglePanel> component. Use the <rich:togglePanelItem> component to define the content for a panel using nested components. Switching between <rich:togglePanelItem> components is handled by the <rich:toggleControl> behavior.

  Author:
    akolonitsky, Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITogglePanelItem.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTogglePanelItem

      `NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITogglePanelItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLang()`
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnenter()` The function to perform when the mouse enters the panel
    `String` | `getOnleave()` The function to perform when the mouse leaves the panel.
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getStyle()`
    `String` | `getStyleClass()`
    `String` | `getTitle()`
    `Object` | `getValue()` Suppress the inherited value attribute from the taglib.
    `void` | `setDir(String dir)`
    `void` | `setLang(String lang)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnenter(String onenter)`
    `void` | `setOnleave(String onleave)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class org.richfaces.component.AbstractTogglePanelItem

      `getName, getParentPanel, getSwitchType, isActive, isDynamicPanelItem, setName, setSwitchType, shouldVisitChildren, toString, visitTree`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface

      `getClientId, getName, getParentPanel, getSwitchType, isActive, isDynamicPanelItem, isRendered`

    - ### Methods inherited from interface org.richfaces.ui.common.VisitChildrenRejectable

      `shouldVisitChildren`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITogglePanelItem

          public UITogglePanelItem()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTogglePanelItem`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDir

          public String getDir()

      Specified by:
        `getDir` in interface `AbstractDivPanel`

    - #### setDir

          public void setDir(String dir)

    - #### getLang

          public String getLang()

      Specified by:
        `getLang` in interface `AbstractDivPanel`

    - #### setLang

          public void setLang(String lang)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in interface `AbstractDivPanel`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in interface `AbstractDivPanel`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnenter

          public String getOnenter()

      Description copied from interface: `AbstractTogglePanelItemInterface`
      The function to perform when the mouse enters the panel
      Specified by:
        `getOnenter` in interface `AbstractTogglePanelItemInterface`

    - #### setOnenter

          public void setOnenter(String onenter)

    - #### getOnleave

          public String getOnleave()

      Description copied from interface: `AbstractTogglePanelItemInterface`
      The function to perform when the mouse leaves the panel.
      Specified by:
        `getOnleave` in interface `AbstractTogglePanelItemInterface`

    - #### setOnleave

          public void setOnleave(String onleave)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in interface `AbstractDivPanel`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in interface `AbstractDivPanel`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in interface `AbstractDivPanel`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in interface `AbstractDivPanel`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in interface `AbstractDivPanel`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getStyle

          public String getStyle()

      Specified by:
        `getStyle` in interface `AbstractDivPanel`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Specified by:
        `getStyleClass` in interface `AbstractDivPanel`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Specified by:
        `getTitle` in interface `AbstractDivPanel`

    - #### setTitle

          public void setTitle(String title)

    - #### getValue

          public Object getValue()

      Description copied from class: `AbstractTogglePanelItem`
      Suppress the inherited value attribute from the taglib.
      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getValue` in class `AbstractTogglePanelItem`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `setValue` in class `javax.faces.component.UIOutput`

Copyright © 2014 JBoss by Red Hat. All rights reserved.